# Copyright 2021 (c) Anna Schumaker.
import sys
import tagdb
from gi.repository import Gst
from . import controls
from . import nowplaying
from . import player
from . import scale

Gst.init(sys.argv)
Player = player.Player()
tagdb.Stack.Counter = Player.Autopause


def AudioControls():
    return controls.AudioControls(Player, Player.Autopause)

def NowPlaying():
    return nowplaying.NowPlaying(Player)

def SeekControl():
    return scale.ScaleButtonBox(scale.SeekScale(Player))
