# Copyright 2021 (c) Anna Schumaker.
import audio
import unittest

class TestAudio(unittest.TestCase):
    def test_audio_init(self):
        self.assertIsInstance(audio.Player, audio.player.Player)

    def test_audio_widgets(self):
        seeker = audio.SeekControl()

        self.assertIsInstance(audio.NowPlaying(),
                              audio.nowplaying.NowPlaying)
        self.assertIsInstance(seeker, audio.scale.ScaleButtonBox)
        self.assertIsInstance(seeker.get_first_child().get_next_sibling(),
                              audio.scale.SeekScale)
